### Callable

- nock(basePath: string | RegExp | Url, options?: Options): Scope

- - Defined in node_modules/@types/nock/index.d.ts:17

  #### Parameters

  - ##### basePath: string | RegExp | Url

  - ##### Optional options: Options

  #### Returns Scope

## Index

### Interfaces

- Interceptor
- NockBack
- NockBackContext
- NockBackOptions
- NockDefinition
- Options
- Recorder
- RecorderOptions
- RequestOptions
- Scope

### Type aliases

- HttpHeaders
- InterceptFunction
- NockBackMode
- ReplyCallback
- ReplyCallbackResult

### Variables

- back
- emitter
- recorder

### Functions

- activate
- cleanAll
- define
- disableNetConnect
- enableNetConnect
- isActive
- isDone
- load
- loadDefs
- pendingMocks
- removeInterceptor
- restore

## Type aliases

### HttpHeaders

HttpHeaders: object

- Defined in node_modules/@types/nock/index.d.ts:41

#### Type declaration

- ##### [key: string]: string | string[] | function

### InterceptFunction

InterceptFunction: function

- Defined in node_modules/@types/nock/index.d.ts:42

#### Type declaration

- - (uri: string | RegExp | function, requestBody?: string | RegExp | function | any, interceptorOptions?: Options): Interceptor

  - #### Parameters

    - ##### uri: string | RegExp | function

    - ##### Optional requestBody: string | RegExp | function | any

    - ##### Optional interceptorOptions: Options

    #### Returns Interceptor

### NockBackMode

NockBackMode: "wild" | "dryrun" | "record" | "lockdown"

- Defined in node_modules/@types/nock/index.d.ts:156

### ReplyCallback

ReplyCallback: function

- Defined in node_modules/@types/nock/index.d.ts:47

#### Type declaration

- - (err: any, result: ReplyCallbackResult): void

  - #### Parameters

    - ##### err: any

    - ##### result: ReplyCallbackResult

    #### Returns void

### ReplyCallbackResult

ReplyCallbackResult: string | [number, string | any] | [number, string | any, HttpHeaders] | any

- Defined in node_modules/@types/nock/index.d.ts:48

## Variables

### back

back: NockBack

- Defined in node_modules/@types/nock/index.d.ts:39

### emitter

emitter: EventEmitter

- Defined in node_modules/@types/nock/index.d.ts:34

### recorder

recorder: Recorder

- Defined in node_modules/@types/nock/index.d.ts:36

## Functions

### activate

- activate(): void

- - Defined in node_modules/@types/nock/index.d.ts:22

  #### Returns void

### cleanAll

- cleanAll(): void

- - Defined in node_modules/@types/nock/index.d.ts:20

  #### Returns void

### define

- define(defs: NockDefinition[]): Scope[]

- - Defined in node_modules/@types/nock/index.d.ts:32

  #### Parameters

  - ##### defs: NockDefinition[]

  #### Returns Scope[]

### disableNetConnect

- disableNetConnect(): void

- - Defined in node_modules/@types/nock/index.d.ts:27

  #### Returns void

### enableNetConnect

- enableNetConnect(matcher?: string | RegExp): void

- - Defined in node_modules/@types/nock/index.d.ts:28

  #### Parameters

  - ##### Optional matcher: string | RegExp

  #### Returns void

### isActive

- isActive(): boolean

- - Defined in node_modules/@types/nock/index.d.ts:23

  #### Returns boolean

### isDone

- isDone(): boolean

- - Defined in node_modules/@types/nock/index.d.ts:24

  #### Returns boolean

### load

- load(path: string): Scope[]

- - Defined in node_modules/@types/nock/index.d.ts:30

  #### Parameters

  - ##### path: string

  #### Returns Scope[]

### loadDefs

- loadDefs(path: string): NockDefinition[]

- - Defined in node_modules/@types/nock/index.d.ts:31

  #### Parameters

  - ##### path: string

  #### Returns NockDefinition[]

### pendingMocks

- pendingMocks(): string[]

- - Defined in node_modules/@types/nock/index.d.ts:25

  #### Returns string[]

### removeInterceptor

- removeInterceptor(interceptor: Interceptor | RequestOptions): boolean

- - Defined in node_modules/@types/nock/index.d.ts:26

  #### Parameters

  - ##### interceptor: Interceptor | RequestOptions

  #### Returns boolean

### restore

- restore(): void

- - Defined in node_modules/@types/nock/index.d.ts:37

  #### Returns void

Generated using TypeDoc